if ( $Pref::Server::ItemPickupTransparency $= "" )
{
	$Pref::Server::ItemPickupTransparency = 25;
}

if ( isFunction(RTB_registerPref) )
{
	RTB_registerPref("Pickup Transparency (%)", "Items", "$Pref::Server::ItemPickupTransparency", 
		"int 0 100", "Server_ItemPickupTransparency", 25, 0, 0);
}


function Item::fadeOut ( %obj )
{
	%obj.startFade (0, 0, true);
	%transparency = ($Pref::Server::ItemPickupTransparency / 100);

	if ( %transparency < 100 )
	{
		if ( %transparency <= 0 )
		{
			%obj.hideNode("ALL");
		}
		else if ( %obj.getDataBlock().doColorShift )
		{
			%color = getWords(%obj.getDataBlock().colorShiftColor, 0, 2);
			%obj.setNodeColor("ALL", %color SPC %transparency);
		}
		else
		{
			%obj.setNodeColor("ALL", "1 1 1 " @ %transparency);
		}
	}

	%obj.canPickup = false;
}

function Item::fadeIn ( %obj, %delay )
{
	if ( isEventPending(%obj.fadeInSchedule) )
	{
		cancel (%obj.fadeInSchedule);
	}

	if ( %delay > 0 )
	{
		%obj.fadeInSchedule = %obj.schedule(%delay, fadeIn);
		return;
	}


	%obj.startFade(0, 0, false);
	%obj.setNodeColor ( "ALL", "1 1 1 " @ ($Pref::Server::ItemPickupTransparency / 100) );

	%obj.unhideNode("ALL");

	if ( %obj.getDataBlock().image.doColorShift )
	{
		%obj.setNodeColor("ALL", %obj.getDataBlock().image.colorShiftColor);
	}
	else
	{
		%obj.setNodeColor("ALL", "1 1 1 1");
	}

	%obj.canPickup = true;
}
